Subject: Re: variables: greedy or non-greedy matching

From: [email-masked]
Date: Thu, 01 May 2003 08:21:56 -0700 (PDT)

> On Tue, Apr 29, 2003 at 06:01:19PM -0700, [email-masked] wrote:
> > > [Ned Freed]:
> > > >
> > > >   [Jutta Degener]:
> > > >   > So let's stay greedy; thanks for setting me straight!
> > > >
> > > >   No problem ;-) And let's also remember that a necessary corollary
> > > >   here is that the regexp we end up choosing needs to support both
> > > >   greedy and non-greedy matching.
> >
> > > why?  I thought we only needed that if :matches was non-greedy.
> >
> > > I wouldn't mind having non-greedy regexps, but they're not in POSIX.2
> > > which the regex draft refers to.
> >
> > Jutta's argument, which I believe is valid, is that expectations can only
> > be met by having both types available.

> Most cases of it can also be met with character classes.

> That's why I said "let's stay greedy" in the piece you quote above --
> I realized that I wanted to solve problems with non-greed that can
> be solved with regexes.

Fair enough. It isn't a point we need to address in the context of the
variables draft in any case.

				Ned